Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
malloc_tree_chunk Struct Reference

## Data Fields
size_t | prev_foot
size_t | head
struct malloc_tree_chunk * | fd
struct malloc_tree_chunk * | bk
struct malloc_tree_chunk * | child [2]
struct malloc_tree_chunk * | parent
bindex_t | index

## Detailed Description

Definition at line 1859 of file dlmalloc.c.

## Field Documentation

## ◆ bk

struct malloc_tree_chunk* malloc_tree_chunk::bk

Definition at line 1864 of file dlmalloc.c.

## ◆ child

struct malloc_tree_chunk* malloc_tree_chunk::child[2]

Definition at line 1866 of file dlmalloc.c.

## ◆ fd

struct malloc_tree_chunk* malloc_tree_chunk::fd

Definition at line 1863 of file dlmalloc.c.

## ◆ head

size_t malloc_tree_chunk::head

Definition at line 1862 of file dlmalloc.c.

## ◆ index

bindex_t malloc_tree_chunk::index

Definition at line 1868 of file dlmalloc.c.

## ◆ parent

struct malloc_tree_chunk* malloc_tree_chunk::parent

Definition at line 1867 of file dlmalloc.c.

## ◆ prev_foot

size_t malloc_tree_chunk::prev_foot

Definition at line 1861 of file dlmalloc.c.

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/src/dlmalloc.c